Upgrade to PPM 14.4 fails on MSSQL 2012 SP3 and higher as an unsupported version

Document ID : KB000047001
Last Modified Date : 14/02/2018
Show Technical Document Details

Title:
Upgrade to PPM 14.4 fails on MSSQL 2012 SP3 and higher as an unsupported version

Issue:

Steps-To-Reproduce:

1. Upgrade to 14.4 on MSSQL 2012 SP3 (which is a supported version per the documentation)
2. Make sure all the upgrade prerequisites are met
3. Start the upgrade to 14.4.

Expected:
Upgrade progresses

Actual:
Upgrade fails with error
check-db-version.xml ERROR The database version could not be validated as a member of the supported versions.
Current database info: Microsoft SQL Server 2012 (SP3-CU3) (KB3152635)
 - 11.0.6537.0 (X64) Apr 28 2016 17:57:34 Copyright (c) Microsoft Corporation Enterprise Edition:
 Core-based Licensing (64-bit) on Windows NT 6.3 <X64> (Build 9600: ) (Hypervisor) .
 Check the checkinstall.log for connection errors. Refer to the Product Architecture Stack (PAS) for supported database versions 

Cause:

This is reported as CLRT-81081

Workaround:

1. Open the file check-db-version.xml with a text editor 

2. On Line 16 correct the value from: 

value="11.0.5*ENTERPRISE EDITION*||12.*ENTERPRISE EDITION*||11.0.5*DEVELOPER EDITION*||12.*DEVELOPER EDITION*"/> 

to: 

value="11.0.6*ENTERPRISE EDITION*||11.0.5*ENTERPRISE EDITION*||12.*ENTERPRISE EDITION*||11.0.6*DEVELOPER EDITION*||11.0.5*DEVELOPER EDITION*||12.*DEVELOPER EDITION*"/> 

 

3. Save the file and re-run the upgrade